Latest ghci on Ubuntu 16.10?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Latest ghci on Ubuntu 16.10?

Lawrence Bottorff-2
I'm on Ubuntu 16.10 and I've followed this, but now I have ghci 7.10.3, which still needs the the "let" in front of every function for use in places like Emacs org-mode's babel. Here's an example of what I have to do in org-mode to get it to run:

#+begin_src haskell 
:set +m
let doubleSmallNumber4 x = if x > 0
                            then x 
                             else x*2 

doubleSmallNumber4 42
#+end_src

I've heard that an 8.+ version of ghci eliminates this issue. Is this true? If so, how can I upgrade my "stack."

LB

_______________________________________________
Beginners mailing list
[hidden email]
http://mail.haskell.org/cgi-bin/mailman/listinfo/beginners